Bug 1190723 - crm_report not being collected with sosreport
Summary: crm_report not being collected with sosreport
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: sos
Version: 6.5
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: alpha
: 6.7
Assignee: Shane Bradley
QA Contact: Miroslav Hradílek
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-02-09 14:29 UTC by Shane Bradley
Modified: 2015-07-22 06:33 UTC (History)
8 users (show)

Fixed In Version: sos-3.2-15.el6
Doc Type: Rebase: Enhancements Only
Doc Text:
Important: if this rebase also contains *bug fixes* (or contains only bug fixes), select the correct option from the Doc Type drop-down list. Rebase package(s) to version: sos-3.2 Highlights and notable enhancements: The timeout is longer for commands with the rebase and should address the command crm_report that took long time to complete.
Clone Of:
Environment:
Last Closed: 2015-07-22 06:33:37 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2015:1323 normal SHIPPED_LIVE sos bug fix and enhancement update 2015-07-20 17:53:12 UTC

Comment 20 Bryn M. Reeves 2015-06-03 08:49:32 UTC
I wouldn't bother with strace as a first step. Start by just capturing ps and top data once per second, e.g.:

  # top -d 1 -b > /tmp/top &
  # while true; do (date; ps ax --forest)>> /tmp/ps; sleep 1; done

And run "sosreport -v --batch -o cluster" or whatever.

Comment 22 Bryn M. Reeves 2015-06-04 08:48:52 UTC
I saw similar things testing the original crm_report patch (with artificially inflated log sizes).

In some ways it would be helpful if crm_report either had a "--everything" option (but with a better name ;), or an option to say grab the last N-thousand messages. That's generally a lot cheaper than parsing out dates.

Comment 25 errata-xmlrpc 2015-07-22 06:33:37 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHBA-2015-1323.html


Note You need to log in before you can comment on or make changes to this bug.